/* overlay.js
 * Script for use in main app window overlay. Writes the info file on startup.
 * Requires: common.js
 *
 * Part of InfoLister by Nickolay Ponomarev <asqueella@gmail.com>
 * Copyright (c) 2004-2005, Nickolay Ponomarev.
 * See the license.txt included in this package for licensing information.
 */

var il = InfoListerGlue.getInfoLister(window);
try {
  var file = ILPrefs.getFilePref("file");
  window.addEventListener("load", il.onLoad, false); //yes, that's bad
} catch(e) {
  // no file or invalid file in pref -or- couldn't find the window with IL
  if(file)
    ILHelpers.dumpException(e);
}

// Handle left/right/middle clicks on the toolbar button
function OpenInfoLister(event) {
  switch(event.button) {
    case 0: // left-click
      InfoListerWindows.open(InfoListerWindows.Info);
      break;
    case 1: // middle-click
      if("gBrowser" in window)
        gBrowser.selectedTab = gBrowser.addTab("about:info");
      break;
    case 2: // right-click
      InfoListerWindows.open(InfoListerWindows.Prefs);
      event.preventDefault();
      break;
  }
}